gsw_frazil_properties_potential_poly {gsw} | R Documentation

## Properties of Frazil ice i.t.o. potential enthalpy (polynomial version)

### Description

Calculation of Absolute Salinity, Conservative Temperature, and ice mass fraction based on bulk Absolute Salinity, bulk potential enthalpy, and pressure

### Usage

    gsw_frazil_properties_potential_poly(SA_bulk, h_pot_bulk, p)

### Arguments

`SA_bulk` | Absolute Salinity of a combination of seawater and ice [ g/kg ]
`h_pot_bulk` | potential enthalpy of a mixture of seawater and ice [ J/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

a list containing `SA_final`, `h_final` and `w_Ih_final`.

### References

http://www.teos-10.org/pubs/gsw/html/gsw_frazil_properties_potential_poly.html

### See Also

Other things related to enthalpy: `gsw_CT_from_enthalpy`, `gsw_dynamic_enthalpy`, `gsw_enthalpy_CT_exact`, `gsw_enthalpy_diff`, `gsw_enthalpy_first_derivatives_CT_exact`, `gsw_enthalpy_first_derivatives`, `gsw_enthalpy_ice`, `gsw_enthalpy_t_exact`, `gsw_enthalpy`, `gsw_frazil_properties_potential`, `gsw_pot_enthalpy_from_pt_ice_poly`, `gsw_pot_enthalpy_from_pt_ice`, `gsw_pot_enthalpy_ice_freezing_poly`, `gsw_pot_enthalpy_ice_freezing`, `gsw_pt_from_pot_enthalpy_ice_poly`, `gsw_pt_from_pot_enthalpy_ice`, `gsw_specvol_first_derivatives_wrt_enthalpy`, `gsw_specvol_first_derivatives`

### Examples

    SA_bulk <- c(     34.7118,   34.8915,   35.0256,   34.8472,   34.7366,   34.7324)
    h_pot_bulk <- c(-4.5544e4, -4.6033e4, -4.5830e4, -4.5589e4, -4.4948e4, -4.4027e4)
    p <- c(                10,        50,       125,       250,       600,      1000)
    r <- gsw_frazil_properties_potential_poly(SA_bulk, h_pot_bulk, p)
    expect_equal(r$SA_final, c(39.098264696022831, 39.343217436835218, 39.434244243586633,
                             39.159511498029801, 38.820458704205542, 38.542256756176229))
    expect_equal(r$CT_final, c(-2.155537691991377, -2.200841508940901, -2.264094318382661,
                             -2.344613208230164, -2.598663953454472, -2.900948531145453))
    expect_equal(r$w_Ih_final, c(0.112190777010854, 0.113150823111566, 0.111797356032850,
                               0.110121687760246, 0.105198620534670, 0.098848824039493))

[Package gsw version 1.0-5 Index]